# A presentation and short discussion of rVAD-fast, a fast voice activity detector

## Abstract

Voice activity detection (VAD) usually refers to the detection of human voices in acoustic signals and is often used as a pre-processing step in numerous audio signal processing tasks. The unsupervised method proposed here was originally developed by Zheng-Hua Tan, Achintya kr. Sarkar and Najim Dehak [Computer Speech & Language, 2020] and consists of a robust segment-based approach. The voice activity detection stage follows two denoising steps. The first one detects high energy segments using a posteriori SNR weighted energy difference, and the second enhances the speech using the MSNE-mod approach. Use cases or downstream tasks include intrusion detection, speech-to-text, speaker diarization, or emotion estimation.

Zheng-Hua Tan, Achintya kr. Sarkar, and Najim Dehak. rvad: An unsupervised segment-based robust voice activity detection method. Computer Speech Language, 59:1–21, 2020. 


## Source code

The source code and documentation for this algorithm are available from [the web page of this article](https://doi.org/10.5201/ipol.2022.427). Usage instructions are included in the README.md file of the archive. [The rVAD authors’ original implementation](https://doi.org/10.5201/ipol.2022.427) substantially inspired the provided code.
This is an MLBriefs article, the source code has not been reviewed!

**Keywords:** voice activity detection; a posteriori SNR; spectral flatness; speech enhancement; speaker verification; audio processing

If you have any questions regarding the implementation details, feel free to reach out to me via email at sam.perochon@ens-paris-saclay.fr.
